# Sites: add

**Requires [authorization](https://developers.google.com/webmaster-tools/v1/sites/add#auth)**

Adds a site to the set of the user's sites in Search Console.
[Try it now](https://developers.google.com/webmaster-tools/v1/sites/add#try-it).

## Request

### HTTP request

```
PUT https://www.googleapis.com/webmasters/v3/sites/siteUrl
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `siteUrl` | `string` | The URL of the property to add. **Examples:** `http://www.example.com/` (for a URL-prefix property) or `sc-domain:example.com` (for a Domain property) |

### Authorization

This request requires authorization with the following scope ([read more about authentication and authorization](https://developers.google.com/webmaster-tools/v1/how-tos/authorizing)).

| Scope |
|---|
| `https://www.googleapis.com/auth/webmasters` |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns an empty response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.